--- title: "PAN" url: https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/identity-scanner/pan/ description: "This API enables you to extract fields of data from an Indian PAN card and fetch the parameters recognized from it." last_updated: 2026-08-17T12:16:04Z service: Zia Services type: api --- # PAN The `PAN` model is a part of the Document Processing feature of [Identity Scanner](https://docs.catalyst.zoho.com/en/zia-services/help/identity-scanner/introduction/) that enables you to process Indian PAN cards as identity proof documents. > **Note:** * Catalyst does not store any of the files you upload in its systems. The documents you upload are used for one-time processing only. They are not used for ML model training purposes either. Catalyst components are fully compliant with all applicable data protection and privacy laws. * Document Processing is only relevant to Indian users and is **only available in the IN DC**. This feature will not be available to users accessing from the EU, AU, US, JP, SA or CA data centers. Users outside of India from the other DCs can access the [general OCR component](https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/identity-scanner/pan/#OCR) to read and process textual content. ## Process PAN ### Description This API extracts fields of data from a PAN card using an advanced OCR technology, and returns the parameters recognized from the PAN card as a JSON response. You must provide the path to the image file of the front side of the PAN card containing personal details in the API request. You must specify the model type in the API request as `PAN`, to process the PAN card. The `PAN` model can only process text in English by default. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/ml/ocr - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **content-type:** multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.mlkit.READ #### Request JSON Properties - **image** (file, mandatory): The image of the front side of the PAN card. You must provide the path to it in your local system. Allowed formats: *.webp, .jpeg, .png* File size limit: 15 MB - **model_type** (string, mandatory): The model type of the image Value to be passed: `PAN` ### Response Details The response will contain the parameters extracted from the PAN card such as their first name, last name, date of birth, and their PAN card number assigned to the respective keys. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/ml/ocr \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW" \ -F image=/Desktop/MyPan.webp \ -F model_type=PAN ``` **Sample Response** ```json { "status": "success", "data": { "first_name": "KIRAN", "last_name": "RAO", "date_of_birth": "03/04/1982", "pan": "ANRPM2537J" } } ``` ### SDK Documentation [Identity Scanner: PAN- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/zia-services/identity-scanner/pan) [Identity Scanner: PAN- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/zia-services/identity-scanner/pan) [Identity Scanner: PAN- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/zia-services/identity-scanner/pan)